dvi2bitmap dvi2bitmap1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
DviFilePage Class Reference

The beginning or end of a page. More...

`#include <DviFile.h>`

Inheritance diagram for DviFilePage:

## Public Member Functions
| DviFilePage (unsigned char opcode, bool isStart)
void | debug () const
| Writes a representation of this event on cerr. More...
Public Member Functions inherited from DviFileEvent
eventTypes | type () const
| Gets the type of this event. More...
const unsigned char | opcode () const
| Gets the underlying opcode which produced this event. More...
void | release ()
| Release this event. More...

## Public Attributes
const bool | isStart
| Is this the beginning or end of a page? Member `isStart` is true if this event was produced by a bop even (opcode 139), and false if it came from a eop (opcode 140) event. More...
signed int | count [10]
| If `isStart` is true, then `count[]` holds the ten TeX page counters. More...
signed int | previous
| If `isStart` is true, then `previous` holds the offset within the DVI file of the previous page in the sequence. More...

## Additional Inherited Members
Public Types inherited from DviFileEvent
enum | eventTypes { setchar, setrule, fontchange, special, page, preamble, postamble }
Static Public Member Functions inherited from DviFileEvent
static verbosities | verbosity (const verbosities level)
| Sets the verbosity for DviFileEvent and its subclasses. More...
Protected Member Functions inherited from DviFileEvent
| DviFileEvent (unsigned char opcode, eventTypes t, DviFile *dp=0)
| Creates a new event. More...
Static Protected Attributes inherited from DviFileEvent
static verbosities | verbosity_ = normal

## Detailed Description

The beginning or end of a page.

## Constructor & Destructor Documentation

DviFilePage::DviFilePage | ( | unsigned char | opcode,
|  | bool | isStart
| ) |  |
| inline

## Member Function Documentation

void DviFilePage::debug | ( | ) |  | const
| virtual

Writes a representation of this event on cerr.

Reimplemented from DviFileEvent.

References count, isStart, and previous.

## Member Data Documentation

signed int DviFilePage::count[10]

If `isStart` is true, then `count[]` holds the ten TeX page counters.

Referenced by debug(), DviFile::getEvent(), and main().

const bool DviFilePage::isStart

Is this the beginning or end of a page? Member `isStart` is true if this event was produced by a bop even (opcode 139), and false if it came from a eop (opcode 140) event.

Referenced by debug(), and main().

signed int DviFilePage::previous

If `isStart` is true, then `previous` holds the offset within the DVI file of the previous page in the sequence.

Referenced by debug(), and DviFile::getEvent().

The documentation for this class was generated from the following files:

- DviFile.h
- DviFile.cc